package jp.co.student.springbootstudy.domain.model;

import java.util.ArrayList;
import java.util.List;

public class TutorialClassExample {
    /**
	 * This field was generated by MyBatis Generator. This field corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	protected String orderByClause;
	/**
	 * This field was generated by MyBatis Generator. This field corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	protected boolean distinct;
	/**
	 * This field was generated by MyBatis Generator. This field corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	protected List<Criteria> oredCriteria;

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	public TutorialClassExample() {
		oredCriteria = new ArrayList<>();
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	public void setOrderByClause(String orderByClause) {
		this.orderByClause = orderByClause;
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	public String getOrderByClause() {
		return orderByClause;
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	public void setDistinct(boolean distinct) {
		this.distinct = distinct;
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	public boolean isDistinct() {
		return distinct;
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	public List<Criteria> getOredCriteria() {
		return oredCriteria;
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	public void or(Criteria criteria) {
		oredCriteria.add(criteria);
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	public Criteria or() {
		Criteria criteria = createCriteriaInternal();
		oredCriteria.add(criteria);
		return criteria;
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	public Criteria createCriteria() {
		Criteria criteria = createCriteriaInternal();
		if (oredCriteria.size() == 0) {
			oredCriteria.add(criteria);
		}
		return criteria;
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	protected Criteria createCriteriaInternal() {
		Criteria criteria = new Criteria();
		return criteria;
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	public void clear() {
		oredCriteria.clear();
		orderByClause = null;
		distinct = false;
	}

	/**
	 * This class was generated by MyBatis Generator. This class corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	protected abstract static class GeneratedCriteria {
		protected List<Criterion> criteria;

		protected GeneratedCriteria() {
			super();
			criteria = new ArrayList<>();
		}

		public boolean isValid() {
			return criteria.size() > 0;
		}

		public List<Criterion> getAllCriteria() {
			return criteria;
		}

		public List<Criterion> getCriteria() {
			return criteria;
		}

		protected void addCriterion(String condition) {
			if (condition == null) {
				throw new RuntimeException("Value for condition cannot be null");
			}
			criteria.add(new Criterion(condition));
		}

		protected void addCriterion(String condition, Object value, String property) {
			if (value == null) {
				throw new RuntimeException("Value for " + property + " cannot be null");
			}
			criteria.add(new Criterion(condition, value));
		}

		protected void addCriterion(String condition, Object value1, Object value2, String property) {
			if (value1 == null || value2 == null) {
				throw new RuntimeException("Between values for " + property + " cannot be null");
			}
			criteria.add(new Criterion(condition, value1, value2));
		}

		public Criteria andTutorialClassIdIsNull() {
			addCriterion("tutorial_class_id is null");
			return (Criteria) this;
		}

		public Criteria andTutorialClassIdIsNotNull() {
			addCriterion("tutorial_class_id is not null");
			return (Criteria) this;
		}

		public Criteria andTutorialClassIdEqualTo(Integer value) {
			addCriterion("tutorial_class_id =", value, "tutorialClassId");
			return (Criteria) this;
		}

		public Criteria andTutorialClassIdNotEqualTo(Integer value) {
			addCriterion("tutorial_class_id <>", value, "tutorialClassId");
			return (Criteria) this;
		}

		public Criteria andTutorialClassIdGreaterThan(Integer value) {
			addCriterion("tutorial_class_id >", value, "tutorialClassId");
			return (Criteria) this;
		}

		public Criteria andTutorialClassIdGreaterThanOrEqualTo(Integer value) {
			addCriterion("tutorial_class_id >=", value, "tutorialClassId");
			return (Criteria) this;
		}

		public Criteria andTutorialClassIdLessThan(Integer value) {
			addCriterion("tutorial_class_id <", value, "tutorialClassId");
			return (Criteria) this;
		}

		public Criteria andTutorialClassIdLessThanOrEqualTo(Integer value) {
			addCriterion("tutorial_class_id <=", value, "tutorialClassId");
			return (Criteria) this;
		}

		public Criteria andTutorialClassIdIn(List<Integer> values) {
			addCriterion("tutorial_class_id in", values, "tutorialClassId");
			return (Criteria) this;
		}

		public Criteria andTutorialClassIdNotIn(List<Integer> values) {
			addCriterion("tutorial_class_id not in", values, "tutorialClassId");
			return (Criteria) this;
		}

		public Criteria andTutorialClassIdBetween(Integer value1, Integer value2) {
			addCriterion("tutorial_class_id between", value1, value2, "tutorialClassId");
			return (Criteria) this;
		}

		public Criteria andTutorialClassIdNotBetween(Integer value1, Integer value2) {
			addCriterion("tutorial_class_id not between", value1, value2, "tutorialClassId");
			return (Criteria) this;
		}

		public Criteria andStudentIdIsNull() {
			addCriterion("student_id is null");
			return (Criteria) this;
		}

		public Criteria andStudentIdIsNotNull() {
			addCriterion("student_id is not null");
			return (Criteria) this;
		}

		public Criteria andStudentIdEqualTo(String value) {
			addCriterion("student_id =", value, "studentId");
			return (Criteria) this;
		}

		public Criteria andStudentIdNotEqualTo(String value) {
			addCriterion("student_id <>", value, "studentId");
			return (Criteria) this;
		}

		public Criteria andStudentIdGreaterThan(String value) {
			addCriterion("student_id >", value, "studentId");
			return (Criteria) this;
		}

		public Criteria andStudentIdGreaterThanOrEqualTo(String value) {
			addCriterion("student_id >=", value, "studentId");
			return (Criteria) this;
		}

		public Criteria andStudentIdLessThan(String value) {
			addCriterion("student_id <", value, "studentId");
			return (Criteria) this;
		}

		public Criteria andStudentIdLessThanOrEqualTo(String value) {
			addCriterion("student_id <=", value, "studentId");
			return (Criteria) this;
		}

		public Criteria andStudentIdLike(String value) {
			addCriterion("student_id like", value, "studentId");
			return (Criteria) this;
		}

		public Criteria andStudentIdNotLike(String value) {
			addCriterion("student_id not like", value, "studentId");
			return (Criteria) this;
		}

		public Criteria andStudentIdIn(List<String> values) {
			addCriterion("student_id in", values, "studentId");
			return (Criteria) this;
		}

		public Criteria andStudentIdNotIn(List<String> values) {
			addCriterion("student_id not in", values, "studentId");
			return (Criteria) this;
		}

		public Criteria andStudentIdBetween(String value1, String value2) {
			addCriterion("student_id between", value1, value2, "studentId");
			return (Criteria) this;
		}

		public Criteria andStudentIdNotBetween(String value1, String value2) {
			addCriterion("student_id not between", value1, value2, "studentId");
			return (Criteria) this;
		}

		public Criteria andGroupIdIsNull() {
			addCriterion("group_id is null");
			return (Criteria) this;
		}

		public Criteria andGroupIdIsNotNull() {
			addCriterion("group_id is not null");
			return (Criteria) this;
		}

		public Criteria andGroupIdEqualTo(String value) {
			addCriterion("group_id =", value, "groupId");
			return (Criteria) this;
		}

		public Criteria andGroupIdNotEqualTo(String value) {
			addCriterion("group_id <>", value, "groupId");
			return (Criteria) this;
		}

		public Criteria andGroupIdGreaterThan(String value) {
			addCriterion("group_id >", value, "groupId");
			return (Criteria) this;
		}

		public Criteria andGroupIdGreaterThanOrEqualTo(String value) {
			addCriterion("group_id >=", value, "groupId");
			return (Criteria) this;
		}

		public Criteria andGroupIdLessThan(String value) {
			addCriterion("group_id <", value, "groupId");
			return (Criteria) this;
		}

		public Criteria andGroupIdLessThanOrEqualTo(String value) {
			addCriterion("group_id <=", value, "groupId");
			return (Criteria) this;
		}

		public Criteria andGroupIdLike(String value) {
			addCriterion("group_id like", value, "groupId");
			return (Criteria) this;
		}

		public Criteria andGroupIdNotLike(String value) {
			addCriterion("group_id not like", value, "groupId");
			return (Criteria) this;
		}

		public Criteria andGroupIdIn(List<String> values) {
			addCriterion("group_id in", values, "groupId");
			return (Criteria) this;
		}

		public Criteria andGroupIdNotIn(List<String> values) {
			addCriterion("group_id not in", values, "groupId");
			return (Criteria) this;
		}

		public Criteria andGroupIdBetween(String value1, String value2) {
			addCriterion("group_id between", value1, value2, "groupId");
			return (Criteria) this;
		}

		public Criteria andGroupIdNotBetween(String value1, String value2) {
			addCriterion("group_id not between", value1, value2, "groupId");
			return (Criteria) this;
		}
	}

	/**
	 * This class was generated by MyBatis Generator. This class corresponds to the database table public.tutorial_class
	 * @mbg.generated  Tue Apr 30 16:41:43 JST 2024
	 */
	public static class Criterion {
		private String condition;
		private Object value;
		private Object secondValue;
		private boolean noValue;
		private boolean singleValue;
		private boolean betweenValue;
		private boolean listValue;
		private String typeHandler;

		public String getCondition() {
			return condition;
		}

		public Object getValue() {
			return value;
		}

		public Object getSecondValue() {
			return secondValue;
		}

		public boolean isNoValue() {
			return noValue;
		}

		public boolean isSingleValue() {
			return singleValue;
		}

		public boolean isBetweenValue() {
			return betweenValue;
		}

		public boolean isListValue() {
			return listValue;
		}

		public String getTypeHandler() {
			return typeHandler;
		}

		protected Criterion(String condition) {
			super();
			this.condition = condition;
			this.typeHandler = null;
			this.noValue = true;
		}

		protected Criterion(String condition, Object value, String typeHandler) {
			super();
			this.condition = condition;
			this.value = value;
			this.typeHandler = typeHandler;
			if (value instanceof List<?>) {
				this.listValue = true;
			} else {
				this.singleValue = true;
			}
		}

		protected Criterion(String condition, Object value) {
			this(condition, value, null);
		}

		protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
			super();
			this.condition = condition;
			this.value = value;
			this.secondValue = secondValue;
			this.typeHandler = typeHandler;
			this.betweenValue = true;
		}

		protected Criterion(String condition, Object value, Object secondValue) {
			this(condition, value, secondValue, null);
		}
	}

	/**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table public.tutorial_class
     *
     * @mbg.generated do_not_delete_during_merge Tue Apr 16 16:09:16 JST 2024
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }
}